ONVIF::Media::Types::FocusStatus(3)

NAME
ONVIF::Media::Types::FocusStatus

DESCRIPTION
Perl data type class for the XML Schema defined complexType FocusStatus from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Position

•   MoveStatus

•   Error

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::FocusStatus
   Position =>  $some_value, # float
   MoveStatus => $some_value, # MoveStatus
   Error =>  $some_value, # string
 },

AUTHOR
Generated by SOAP::WSDL